# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KFileMetaInfoWidget Class Reference

`#include <kfilemetainfowidget.h>`

Inheritance diagram for KFileMetaInfoWidget:

[legend]
Collaboration diagram for KFileMetaInfoWidget:

[legend]
List of all members.

## Signals

void | valueChanged (const QVariant &value)

## Public Member Functions

| KFileMetaInfoWidget (KFileMetaInfoItem item, QValidator *val=0, QWidget *parent=0, const char *name=0)
bool | apply ()
void | setValue (const QVariant &value)
QVariant | value ()
QValidator * | validator ()
KFileMetaInfoItem | item ()

## Protected Member Functions

void | reparentValidator (QWidget *widget, QValidator *validator)
virtual QWidget * | makeWidget ()
QWidget * | makeBoolWidget ()
QWidget * | makeIntWidget ()
QWidget * | makeDoubleWidget ()
QWidget * | makeStringWidget ()
QWidget * | makeDateWidget ()
QWidget * | makeTimeWidget ()
QWidget * | makeDateTimeWidget ()

## Detailed Description

A widget to display file meta infos (like id3 for mp3)

Definition at line 31 of file kfilemetainfowidget.h.

The documentation for this class was generated from the following files:

- kfilemetainfowidget.h
- kfilemetainfowidget.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:17:49 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001